summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xmakeself.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/makeself.sh b/makeself.sh
index 709473a..a2bb226 100755
--- a/makeself.sh
+++ b/makeself.sh
@@ -529,7 +529,8 @@ if test "$QUIET" = "n";then
echo Adding files to archive named \"$archname\"...
fi
exec 3<> "$tmpfile"
-(cd "$archdir" && ( tar "$TAR_EXTRA" -$TAR_ARGS - . | eval "$GZIP_CMD" >&3 ) ) || { echo Aborting: Archive directory not found or temporary file: "$tmpfile" could not be created.; exec 3>&-; rm -f "$tmpfile"; exit 1; }
+( cd "$archdir" && ( tar $TAR_EXTRA -$TAR_ARGS - . | eval "$GZIP_CMD" >&3 ) ) || \
+ { echo Aborting: archive directory not found or temporary file: "$tmpfile" could not be created.; exec 3>&-; rm -f "$tmpfile"; exit 1; }
exec 3>&- # try to close the archive
fsize=`cat "$tmpfile" | wc -c | tr -d " "`
@@ -617,4 +618,3 @@ else
fi
fi
rm -f "$tmpfile"
-